<?php

namespace Sugarcrm\Sugarcrm\custom\PxRoutines\NeedToDoViewer\PX_NeedToDoViewerComments\Helpers\Notification\Events;

class MentionedPreviouslyEvent extends Event
{
    protected $langKey = 'WAS_PREVIOUSLY_MENTIONED_IN_REPLY';

    protected $eventPriority = 400;

    public function __construct($commentEntity)
    {
        parent::__construct($commentEntity);
    }

    public function defineRecipientIds()
    {
        $conversationParticipants = $this->commentEntity->getConversationParticipants();
        foreach($conversationParticipants->getMentionedPreviouslyUsersIds() as $userId){
            $this->recipientIds[$userId] = $userId;
        }
    }

}