<?php

$module_name = 'PX_NeedToDoViewerComments';
$viewdefs[$module_name]['base']['filter']['default'] = array(
    'default_filter' => 'all_records',
    'fields' => array(
        'name' => array(),
        'created_by_name' => array(
            'vname' => 'LBL_CREATED_BY_NAME_FILTER',
        ),
        'participant_name' => array(
            'name' => 'participant_name',
            'vname' => 'LBL_PARTICIPANTS_FILTER',
            'type' => 'relate',
            'id_name' => 'participant_id',
            'module' => 'Users',
            'rname' => 'full_name',
        ),
        'mentioned_name' => array(
            'name' => 'mentioned_name',
            'vname' => 'LBL_MENTIONED_FILTER',
            'type' => 'relate',
            'id_name' => 'mentioned_id',
            'module' => 'Users',
            'rname' => 'full_name',
        ),
        'has_new_messages_name' => array(
            'name' => 'has_new_messages_name',
            'vname' => 'LBL_HAS_NEW_MESSAGES',
            'type' => 'relate',
            'id_name' => 'has_new_messages_id',
            'module' => 'Users',
            'rname' => 'full_name',
        ),
        '$my_new_messages' => array(
            'predefined_filter' => true,
            'vname' => 'LBL_MY_NEW_MESSAGES',
        ),
        'is_subscribed_to' => array(
            'name' => 'is_subscribed_to',
            'vname' => 'LBL_IS_SUBSCRIBED_TO',
            'type' => 'relate',
            'id_name' => 'is_subscribed_to_id',
            'module' => 'Users',
            'rname' => 'full_name',
        ),
        '$my_subscriptions' => array(
            'predefined_filter' => true,
            'vname' => 'LBL_MY_SUBSCRIPTIONS',
        ),
        'is_relevant_to' => array(
            'name' => 'is_relevant_to',
            'vname' => 'LBL_IS_RELEVANT_TO',
            'type' => 'relate',
            'id_name' => 'is_relevant_to_id',
            'module' => 'Users',
            'rname' => 'full_name',
        ),
        '$relevant_to_me' => array(
            'predefined_filter' => true,
            'vname' => 'LBL_RELEVANT_TO_ME',
        ),
        'filter_target_module' => array(),
        'filter_object_module' => array(),
        'filter_need_to_do_event_type_name' => array(
            'name' => 'filter_need_to_do_event_type_name',
            'vname' => 'LBL_FILTER_NEED_TO_DO_EVENT_TYPE_NAME',
            'type' => 'relate',
            'id_name' => 'filter_need_to_do_event_type_id',
            'module' => 'PX_NeedToDoEventTypes',
            'rname' => 'name',
        ),
    ),
);
