<?php

$module_name = 'PX_NeedToDoViewerComments';
$viewdefs[$module_name]['base']['view']['subpanel-list'] = array(
    'template' => 'comments-flex-list',
    'panels' => array(
        array(
            'name' => 'panel_header',
            'label' => 'LBL_PANEL_1',
            'fields' => array(
                array(
                    'name' => 'created_by_name',
                    'label' => 'LBL_CREATED',
                    'enabled' => true,
                    'default' => true,
                ),
                array(
                    'name' => 'date_modified',
                    'label' => 'LBL_DATE_MODIFIED',
                    'enabled' => true,
                    'default' => true,
                    'related_fields' =>
                        array(
                            'name',
                            'parent_type',
                            'parent_id',
                            'data',
                            'comment_count',
                            'last_comment',
                            'date_entered'
                        ),
                ),
            ),
        ),
    ),
    'orderBy' => array(
        'field' => 'date_modified',
        'direction' => 'desc',
    ),
    'max_num' => -1,
);
