<?php

namespace Sugarcrm\Sugarcrm\custom\PxRoutines\NeedToDoViewer\PX_NeedToDoEvents\helpers;

class HistoryCleaner{

    public function cleanEventsHistory($eventTypeId){
        $this->cleanEventsComments($eventTypeId);
        $this->cleanNotifyUsersData($eventTypeId);
        $this->cleanRelatedParentsData($eventTypeId);
        $this->cleanEventsData($eventTypeId);
    }

    public function cleanEventsComments($eventTypeId){
        $sql = "
            DELETE
                px_needtodoviewercomments,
                px_needtodoviewercomments_users 
            FROM px_needtodoviewercomments
            LEFT JOIN  px_needtodoviewercomments_users 
                ON px_needtodoviewercomments_users.comment_id = px_needtodoviewercomments.id
            INNER JOIN px_needtodoevents
                ON px_needtodoevents.id = px_needtodoviewercomments.parent_id  
            WHERE px_needtodoviewercomments.parent_type = 'PX_NeedToDoEvents' AND px_needtodoevents.event_type_id = '$eventTypeId' 
        ";
        $db = \DBManagerFactory::getInstance();
        $db->query($sql);
    }

    public function cleanNotifyUsersData($eventTypeId){
        $sql = "
            DELETE
                px_ntdv_notify_users 
            FROM px_ntdv_notify_users
            INNER JOIN px_needtodoevents
                ON px_needtodoevents.id = px_ntdv_notify_users.event_id 
            WHERE px_needtodoevents.event_type_id = '$eventTypeId' 
        ";
        $db = \DBManagerFactory::getInstance();
        $db->query($sql);
    }

    public function cleanRelatedParentsData($eventTypeId){
        $sql = "
            DELETE
                px_ntdv_parents 
            FROM px_ntdv_parents
            INNER JOIN px_needtodoevents
                ON px_needtodoevents.id = px_ntdv_parents.event_id 
            WHERE px_needtodoevents.event_type_id = '$eventTypeId' 
        ";
        $db = \DBManagerFactory::getInstance();
        $db->query($sql);
    }

    public function cleanEventsData($eventTypeId){
        $sql = "
            DELETE
                px_needtodoevents 
            FROM px_needtodoevents 
            WHERE px_needtodoevents.event_type_id = '$eventTypeId' 
        ";
        $db = \DBManagerFactory::getInstance();
        $db->query($sql);
    }
}