<?php

namespace Sugarcrm\Sugarcrm\custom\PxRoutines\NeedToDoViewer\PX_NeedToDoViewerComments\Helpers\Notification\Events;

class SubscribedEvent extends Event
{

    protected $langKey = 'NEW_REPLY_TO_SUBSCRIBED_POST';

    protected $eventPriority = 500;

    public function __construct($commentEntity)
    {
        parent::__construct($commentEntity);
    }

    public function defineRecipientIds()
    {
        $conversationParticipants = $this->commentEntity->getConversationParticipants();
        foreach($conversationParticipants->getSubscribedIds() as $userId){
            $this->recipientIds[$userId] = $userId;
        }
    }
}