<?php

require_once 'include/download_file.php';

class PX_NeedToDoEventTypesDownloadFileApi extends DownloadFileApi{

	public function getFile(SugarBean $bean, $field, $forceDownload = false) {

		if($field == 'icon' && $this->validateBeanAndField($bean, $field, 'image')){
			return $this->outputCustomFile($bean);
		}else{
			parent::getFile($bean, $field, $forceDownload);
		}
	}

	protected function outputCustomFile($bean){
		$icon = base64_decode($bean->icon);
		$contentLength = strlen($icon);
		header("Pragma: public");
		header("Cache-Control: max-age=1, post-check=0, pre-check=0");
		header("X-Content-Type-Options: nosniff");
		header("Content-Length: $contentLength");
		header('Expires: ' . gmdate('D, d M Y H:i:s \G\M\T', time() + 2592000));
		return  $icon;
	}

}